import request from '@/utils/request'

// 查询园区贸易数据列表
export function listGARDENTRADEDATA(query) {
  return request({
    url: '/gardentradedata/list',
    method: 'get',
    params: query
  })
}

// 查询园区贸易数据所有列表
export function listAllGARDENTRADEDATA(query) {
  return request({
    url: '/gardentradedata/listAll',
    method: 'get',
    params: query
  })
}

// 查询园区贸易数据详细
export function getGARDENTRADEDATA(gardenId) {
  return request({
    url: '/gardentradedata/getInfo/' + gardenId,
    method: 'get'
  })
}

// 新增园区贸易数据
export function addGARDENTRADEDATA(data) {
  return request({
    url: '/gardentradedata/add',
    method: 'post',
    data: data
  })
}

// 修改园区贸易数据
export function updateGARDENTRADEDATA(data) {
  return request({
    url: '/gardentradedata/edit',
    method: 'post',
    data: data
  })
}

// 删除园区贸易数据
export function delGARDENTRADEDATA(gardenId) {
  return request({
    url: '/gardentradedata/remove/' + gardenId,
    method: 'get'
  })
}

// 导入
export function importData(data) {
  return request({
    url: '/gardentradedata/importData',
    method: 'post',
    data:data
  })
}

// 获取个人用户信息
export function getUser() {
  return request({
    url: '/getInfo',
    method: 'get'
  })
}
